Subject: nar-herder uses 10 GiB of resident memory, 100% CPU on hydra-guix-129

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 07 Nov 2023 22:51:37 -0500

Hi,

I was looking at top on the hydra-guix-129 node, which runs nar-herder,
and saw this:

--8<---------------cut here---------------start------------->8---
4772 nar-her+  20   0   28.9g  11.5g 100.0   6.1     55,55 S .nar-herder-rea
--8<---------------cut here---------------end--------------->8---

11.5 GiB of memory seems a bit excessive, no?  Its cumulated processing
time is also at the top of the table, and it seems stuck at 100% of CPU
usage.

Is this expected of the nar-herder, or has it gone awry?

-- 
Thanks,
Maxim